<template>
  <mark v-if="choix && choix.lettre" class="mt-info-choix" :title="infoBulle(choix)">{{ choix.lettre }}</mark>
</template>

<script>
export default {
  name: 'MtChoixMark',
  props: {
    choix: {
      type: Object,
      default: () => ({}),
    },
  },
  methods: {
    infoBulle(choix) {
      if (choix.code === 'candidater') {
        return 'Le pax a proposé sa candidature';
      }
      return choix.nom;
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';
.mt-info-choix {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  font-size: 0.625rem;
  background-color: #808080;
  color: $white;
  margin: 0 0.5em;
  height: 0.9375rem;
  width: 0.9375rem;
  cursor: default;
}
</style>
